%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-aodh
Version:        11.4.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Aodh
License:        ASL 2.0

URL:            https://launchpad.net/puppet-aodh

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=11.4.0
Patch0001: 0001-Prepare-for-Pike-post-release.patch
Patch0002: 0002-Add-some-kombu-options.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Aodh

%prep
%setup -q -n openstack-aodh-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/



%files
%{_datadir}/openstack-puppet/modules/aodh/


%changelog
* Mon Jun 18 2018 Steve Linabery <slinaber@redhat.com> 11.4.0-2
- Add some kombu options

* Fri Feb 16 2018 Thierry Vignaud <tvignaud@redhat.com> 11.4.0-1
- Prepare for Pike post release
- Update to 11.4.0

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-3
- [pike] Add Puppet package to bindep for module build

* Wed Nov 01 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- add parameter to overwrite/add wsgi process options

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0


